#
# spec file for package perl-Games-Maze
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Games-Maze
Version:        1.09
Release:        1.1
%define cpan_name Games-Maze
Summary:        Create Mazes as Objects
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JG/JGAMBLE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.400000
BuildRequires:  perl(Moo)
BuildRequires:  perl(Type::Tiny) >= 1.004
Requires:       perl(Moo)
Requires:       perl(Type::Tiny) >= 1.004
%{perl_requires}

%description
Simply put, this package create mazes. You may use the Games::Maze package
to create 3-dimensional rectangular or hexagonal mazes. Mazes are objects
that you can manipulate using the available methods.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md eg README.md
%license LICENSE

%changelog
* Thu Dec  6 2018 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Games-Maze/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-Games-Maze/Changes
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.03
  * created by cpanspec 1.78.04
